#!/bin/sh

sed -i 's,/usr/bin/env bash,/bin/sh,' tests/*.sh

./bootstrap
./configure \
    --enable-shared \
    --enable-static \
    --build="$BUILD" \
    --host="$HOST" \
    --prefix="$PREFIX"

## explanation
#
# --enable-shared: produce shared libraries
#
# --enable-static: produce static libraries
#
# --build: make sure the build string gets set correctly.
#
# --host: make sure the host string gets set correctly.
#
# --prefix: respect the "no /usr/local" policy.
