#!/bin/sh

set -e

PCSC_LIBS="/lib/libpcsclite.so" \
LIBUSB_LIBS="/lib/libusb-1.0.so" \
PCSC_CFLAGS="-I/include/PCSC" \
LIBUSB_CFLAGS="-I/include/libusb-1.0" \
./configure \
    --build="$(uname -m)-lix-linux-musl" \
    --host="$(uname -m)-lix-linux-musl" \
    --enable-static \
    --sysconfdir=/etc \
    --enable-usbdropdir=/lib/pcsc/drivers \
    --prefix=

## explanation
#
# PCSC_LIBS: configure needs an explicit path for libpcslite.
#
# LIBUSB_LIBS: configure needs an explicit path for libusb.
#
# PCSC_CFLAGS: configure needs an explicit path for libpcslite headers.
#
# LIBUSB_CFLAGS: configure needs an explicit path for libusb headers.
#
# --build: set the correct build string.
#
# --host: set the correct host string.
#
# --enable-static: build the static library as well.
#
# --sysconfdir: look for configuration files in /etc.
#
# --enable-usbdropdir: the directory for dynamically loaded smartcard drivers.
#
# --prefix: respect the "no /usr/local" policy.
