#!/bin/sh

#autoreconf -ivf

./configure \
  --build=$(uname -m)-lix-linux-musl \
  --host=$(uname -m)-lix-linux-musl \
  --disable-udev \
  --disable-shared \
  --enable-static \
  --enable-static-cryptsetup \
  --enable-libargon2 \
  --with-crypto_backend=gcrypt \
  --with-luks2-lock-path=/var/run/cryptsetup \
  --with-sysroot=/ \
  --prefix=

## explanation
#
# --build, --host: configure does not recognize musl systems on its own.
#
# --disable-udev: lix os doesn't use udev if it can help it.
#
# --disable-shared: don't bother building dynamic libraries.
#
# --enable-static: build libraries for static linking.
#
# --enable-static-cryptsetup: statically link all the cryptsetup utilities.
#
# --enable-libargon2: use the host's argon2 library.  it's much faster.
#
# --with-crypto_backend: use gcrypt instead of openssl.
#
# --with-luks2-lock-path: lix os uses /var/run, not /run.
#
# --with-sysroot: tell make where to find the right includes and libs.
#
# --prefix: respect lix os' "no /usr/local" policy.
