#!/bin/sh

set -e

CFLAGS="$CFLAGS -DTIMESTAMP_DIR=/var/run/doas" \
./configure --without-pam --with-timestamp --prefix=

## explanation
#
# --without-pam:
#     don't include pluggable authentication module support.  it's an optional
#     feature which lix os doesn't have by default.
#
# --with-timestamp:
#     support the "persist" directive in /etc/doas.conf.  without this, the user
#     must enter their password *every* time they use 'doas'.  with this flag,
#     they only have to re-enter their password if it has been five minutes
#     since they last entered their password.
#
## note
#
# 'doas' does not support /etc/passwd based authentication.  if the user does
# not have an /etc/shadow entry, authentication will *always* fail.
