#!/bin/sh -e

cd ../build

install_dtd() {
    local dest="/share/xml/docbook/xml-dtd-$1"
    cd docbook-xml-$1
    mkdir -p "$dest"
    cp -af docbook.cat *.dtd ent/ *.mod "$dest"
    chmod 755 "$dest/ent"
    cd - > /dev/null
}

install_dtd 4.1.2
install_dtd 4.2
install_dtd 4.3
install_dtd 4.4
install_dtd 4.5

export XML_CATALOG_FILES=""

mkdir -p /etc/xml
xmlcatalog --noout --create /etc/xml/docbook-xml

xmlcatalog --noout --add "public" \
	"-//OASIS//DTD DocBook XML V4.1.2//EN" \
	"http://www.oasis-open.org/docbook/xml/4.1.2/docbookx.dtd" \
	/etc/xml/docbook-xml

xmlcatalog --noout --add "public" \
	"-//OASIS//DTD DocBook XML CALS Table Model V4.1.2//EN" \
	"http://www.oasis-open.org/docbook/xml/4.1.2/calstblx.dtd" \
	/etc/xml/docbook-xml

xmlcatalog --noout --add "public" \
	"-//OASIS//DTD DocBook XML CALS Table Model V4.1.2//EN" \
	"http://www.oasis-open.org/docbook/xml/4.1.2/calstblx.dtd" \
	/etc/xml/docbook-xml

xmlcatalog --noout --add "public" \
	"-//OASIS//DTD XML Exchange Table Model 19990315//EN" \
	"http://www.oasis-open.org/docbook/xml/4.1.2/soextblx.dtd" \
	/etc/xml/docbook-xml

xmlcatalog --noout --add "public" \
	"-//OASIS//ELEMENTS DocBook XML Information Pool V4.1.2//EN" \
	"http://www.oasis-open.org/docbook/xml/4.1.2/dbpoolx.mod" \
	/etc/xml/docbook-xml

xmlcatalog --noout --add "public" \
	"-//OASIS//ELEMENTS DocBook XML Document Hierarchy V4.1.2//EN" \
	"http://www.oasis-open.org/docbook/xml/4.1.2/dbhierx.mod" \
	/etc/xml/docbook-xml

xmlcatalog --noout --add "public" \
	"-//OASIS//ENTITIES DocBook XML Additional General Entities V4.1.2//EN" \
	"http://www.oasis-open.org/docbook/xml/4.1.2/dbgenent.mod" \
	/etc/xml/docbook-xml

xmlcatalog --noout --add "public" \
	"-//OASIS//ENTITIES DocBook XML Notations V4.1.2//EN" \
	"http://www.oasis-open.org/docbook/xml/4.1.2/dbnotnx.mod" \
	/etc/xml/docbook-xml

xmlcatalog --noout --add "public" \
	"-//OASIS//ENTITIES DocBook XML Character Entities V4.1.2//EN" \
	"http://www.oasis-open.org/docbook/xml/4.1.2/dbcentx.mod" \
	/etc/xml/docbook-xml

xmlcatalog --noout --add "rewriteSystem" \
	"http://www.oasis-open.org/docbook/xml/4.1.2" \
	"file:///share/xml/docbook/xml-dtd-4.1.2" \
	/etc/xml/docbook-xml

xmlcatalog --noout --add "rewriteURI" \
	"http://www.oasis-open.org/docbook/xml/4.1.2" \
	"file:///share/xml/docbook/xml-dtd-4.1.2" \
	/etc/xml/docbook-xml

xmlcatalog --noout --add "public" \
	"-//OASIS//DTD DocBook XML V4.2//EN" \
	"http://www.oasis-open.org/docbook/xml/4.2/docbookx.dtd" \
	/etc/xml/docbook-xml

xmlcatalog --noout --add "public" \
	"-//OASIS//DTD DocBook CALS Table Model V4.2//EN" \
	"http://www.oasis-open.org/docbook/xml/4.2/calstblx.dtd" \
	/etc/xml/docbook-xml

xmlcatalog --noout --add "public" \
	"-//OASIS//DTD XML Exchange Table Model 19990315//EN" \
	"http://www.oasis-open.org/docbook/xml/4.2/soextblx.dtd" \
	/etc/xml/docbook-xml

xmlcatalog --noout --add "public" \
	"-//OASIS//ELEMENTS DocBook Information Pool V4.2//EN" \
	"http://www.oasis-open.org/docbook/xml/4.2/dbpoolx.mod" \
	/etc/xml/docbook-xml

xmlcatalog --noout --add "public" \
	"-//OASIS//ELEMENTS DocBook Document Hierarchy V4.2//EN" \
	"http://www.oasis-open.org/docbook/xml/4.2/dbhierx.mod" \
	/etc/xml/docbook-xml

xmlcatalog --noout --add "public" \
	"-//OASIS//ENTITIES DocBook Additional General Entities V4.2//EN" \
	"http://www.oasis-open.org/docbook/xml/4.2/dbgenent.mod" \
	/etc/xml/docbook-xml

xmlcatalog --noout --add "public" \
	"-//OASIS//ENTITIES DocBook Notations V4.2//EN" \
	"http://www.oasis-open.org/docbook/xml/4.2/dbnotnx.mod" \
	/etc/xml/docbook-xml

xmlcatalog --noout --add "public" \
	"-//OASIS//ENTITIES DocBook Character Entities V4.2//EN" \
	"http://www.oasis-open.org/docbook/xml/4.2/dbcentx.mod" \
	/etc/xml/docbook-xml

xmlcatalog --noout --add "rewriteSystem" \
	"http://www.oasis-open.org/docbook/xml/4.2" \
	"file:///share/xml/docbook/xml-dtd-4.2" \
	/etc/xml/docbook-xml

xmlcatalog --noout --add "rewriteURI" \
	"http://www.oasis-open.org/docbook/xml/4.2" \
	"file:///share/xml/docbook/xml-dtd-4.2" \
	/etc/xml/docbook-xml

xmlcatalog --noout --add "public" \
	"-//OASIS//DTD DocBook XML V4.3//EN" \
	"http://www.oasis-open.org/docbook/xml/4.3/docbookx.dtd" \
	/etc/xml/docbook-xml

xmlcatalog --noout --add "public" \
	"-//OASIS//DTD DocBook CALS Table Model V4.3//EN" \
	"http://www.oasis-open.org/docbook/xml/4.3/calstblx.dtd" \
	/etc/xml/docbook-xml

xmlcatalog --noout --add "public" \
	"-//OASIS//DTD XML Exchange Table Model 19990315//EN" \
	"http://www.oasis-open.org/docbook/xml/4.3/soextblx.dtd" \
	/etc/xml/docbook-xml

xmlcatalog --noout --add "public" \
	"-//OASIS//ELEMENTS DocBook Information Pool V4.3//EN" \
	"http://www.oasis-open.org/docbook/xml/4.3/dbpoolx.mod" \
	/etc/xml/docbook-xml

xmlcatalog --noout --add "public" \
	"-//OASIS//ELEMENTS DocBook Document Hierarchy V4.3//EN" \
	"http://www.oasis-open.org/docbook/xml/4.3/dbhierx.mod" \
	/etc/xml/docbook-xml

xmlcatalog --noout --add "public" \
	"-//OASIS//ENTITIES DocBook Additional General Entities V4.3//EN" \
	"http://www.oasis-open.org/docbook/xml/4.3/dbgenent.mod" \
	/etc/xml/docbook-xml

xmlcatalog --noout --add "public" \
	"-//OASIS//ENTITIES DocBook Notations V4.3//EN" \
	"http://www.oasis-open.org/docbook/xml/4.3/dbnotnx.mod" \
	/etc/xml/docbook-xml

xmlcatalog --noout --add "public" \
	"-//OASIS//ENTITIES DocBook Character Entities V4.3//EN" \
	"http://www.oasis-open.org/docbook/xml/4.3/dbcentx.mod" \
	/etc/xml/docbook-xml

xmlcatalog --noout --add "rewriteSystem" \
	"http://www.oasis-open.org/docbook/xml/4.3" \
	"file:///share/xml/docbook/xml-dtd-4.3" \
	/etc/xml/docbook-xml

xmlcatalog --noout --add "rewriteURI" \
	"http://www.oasis-open.org/docbook/xml/4.3" \
	"file:///share/xml/docbook/xml-dtd-4.3" \
	/etc/xml/docbook-xml

xmlcatalog --noout --add "public" \
	"-//OASIS//DTD DocBook XML V4.4//EN" \
	"http://www.oasis-open.org/docbook/xml/4.4/docbookx.dtd" \
	/etc/xml/docbook-xml

xmlcatalog --noout --add "public" \
	"-//OASIS//DTD DocBook CALS Table Model V4.4//EN" \
	"http://www.oasis-open.org/docbook/xml/4.4/calstblx.dtd" \
	/etc/xml/docbook-xml

xmlcatalog --noout --add "public" \
	"-//OASIS//ELEMENTS DocBook XML HTML Tables V4.4//EN" \
	"http://www.oasis-open.org/docbook/xml/4.4/htmltblx.mod" \
	/etc/xml/docbook-xml

xmlcatalog --noout --add "public" \
	"-//OASIS//DTD XML Exchange Table Model 19990315//EN" \
	"http://www.oasis-open.org/docbook/xml/4.4/soextblx.dtd" \
	/etc/xml/docbook-xml

xmlcatalog --noout --add "public" \
	"-//OASIS//ELEMENTS DocBook Information Pool V4.4//EN" \
	"http://www.oasis-open.org/docbook/xml/4.4/dbpoolx.mod" \
	/etc/xml/docbook-xml

xmlcatalog --noout --add "public" \
	"-//OASIS//ELEMENTS DocBook Document Hierarchy V4.4//EN" \
	"http://www.oasis-open.org/docbook/xml/4.4/dbhierx.mod" \
	/etc/xml/docbook-xml

xmlcatalog --noout --add "public" \
	"-//OASIS//ENTITIES DocBook Additional General Entities V4.4//EN" \
	"http://www.oasis-open.org/docbook/xml/4.4/dbgenent.mod" \
	/etc/xml/docbook-xml

xmlcatalog --noout --add "public" \
	"-//OASIS//ENTITIES DocBook Notations V4.4//EN" \
	"http://www.oasis-open.org/docbook/xml/4.4/dbnotnx.mod" \
	/etc/xml/docbook-xml

xmlcatalog --noout --add "public" \
	"-//OASIS//ENTITIES DocBook Character Entities V4.4//EN" \
	"http://www.oasis-open.org/docbook/xml/4.4/dbcentx.mod" \
	/etc/xml/docbook-xml

xmlcatalog --noout --add "rewriteSystem" \
	"http://www.oasis-open.org/docbook/xml/4.4" \
	"file:///share/xml/docbook/xml-dtd-4.4" \
	/etc/xml/docbook-xml

xmlcatalog --noout --add "rewriteURI" \
	"http://www.oasis-open.org/docbook/xml/4.4" \
	"file:///share/xml/docbook/xml-dtd-4.4" \
	/etc/xml/docbook-xml

xmlcatalog --noout --add "public" \
	"-//OASIS//DTD DocBook XML V4.5//EN" \
	"http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" \
	/etc/xml/docbook-xml

xmlcatalog --noout --add "public" \
	"-//OASIS//DTD DocBook XML CALS Table Model V4.5//EN" \
	"file:///share/xml/docbook/xml-dtd-4.5/calstblx.dtd" \
	/etc/xml/docbook-xml

xmlcatalog --noout --add "public" \
	"-//OASIS//DTD XML Exchange Table Model 19990315//EN" \
	"file:///share/xml/docbook/xml-dtd-4.5/soextblx.dtd" \
	/etc/xml/docbook-xml

xmlcatalog --noout --add "public" \
	"-//OASIS//ELEMENTS DocBook XML Information Pool V4.5//EN" \
	"file:///share/xml/docbook/xml-dtd-4.5/dbpoolx.mod" \
	/etc/xml/docbook-xml

xmlcatalog --noout --add "public" \
	"-//OASIS//ELEMENTS DocBook XML Document Hierarchy V4.5//EN" \
	"file:///share/xml/docbook/xml-dtd-4.5/dbhierx.mod" \
	/etc/xml/docbook-xml

xmlcatalog --noout --add "public" \
	"-//OASIS//ELEMENTS DocBook XML HTML Tables V4.5//EN" \
	"file:///share/xml/docbook/xml-dtd-4.5/htmltblx.mod" \
	/etc/xml/docbook-xml

xmlcatalog --noout --add "public" \
	"-//OASIS//ENTITIES DocBook XML Notations V4.5//EN" \
	"file:///share/xml/docbook/xml-dtd-4.5/dbnotnx.mod" \
	/etc/xml/docbook-xml

xmlcatalog --noout --add "public" \
	"-//OASIS//ENTITIES DocBook XML Character Entities V4.5//EN" \
	"file:///share/xml/docbook/xml-dtd-4.5/dbcentx.mod" \
	/etc/xml/docbook-xml

xmlcatalog --noout --add "public" \
	"-//OASIS//ENTITIES DocBook XML Additional General Entities V4.5//EN" \
	"file:///share/xml/docbook/xml-dtd-4.5/dbgenent.mod" \
	/etc/xml/docbook-xml

xmlcatalog --noout --add "rewriteSystem" \
	"http://www.oasis-open.org/docbook/xml/4.5" \
	"file:///share/xml/docbook/xml-dtd-4.5" \
	/etc/xml/docbook-xml

xmlcatalog --noout --add "rewriteURI" \
	"http://www.oasis-open.org/docbook/xml/4.5" \
	"file:///share/xml/docbook/xml-dtd-4.5" \
	/etc/xml/docbook-xml

[ -e "/etc/xml/catalog" ] || xmlcatalog --noout --create /etc/xml/catalog

xmlcatalog --noout --add "delegatePublic" \
	"-//OASIS//ENTITIES DocBook XML" \
	"file:///etc/xml/docbook-xml" \
	/etc/xml/catalog

xmlcatalog --noout --add "delegatePublic" \
	"-//OASIS//DTD DocBook XML" \
	"file:///etc/xml/docbook-xml" \
	/etc/xml/catalog

xmlcatalog --noout --add "delegateSystem" \
	"http://www.oasis-open.org/docbook/" \
	"file:///etc/xml/docbook-xml" \
	/etc/xml/catalog

xmlcatalog --noout --add "delegateURI" \
	"http://www.oasis-open.org/docbook/" \
	"file:///etc/xml/docbook-xml" \
	/etc/xml/catalog
