#!/bin/sh

export CC="gcc $CFLAGS $LDFLAGS"
export MANPATH="/usr/share/man"

./configure --ioctl=termios --prefix=/usr

## explanation
#
# CC: elvis' build system completely ignores LDFLAGS and CFLAGS.
#
# MANPATH: 
#     elvis' configure script can't figure out where to put the manual pages
#     on its own and doesn't like if MANPATH doesn't start with PREFIX.
#
# --ioctl:
#     elvis' configure script looks for termios.h in /include, but it resides
#     in /include/linux.  because it can't find the correct header, it tries to
#     use a default one which does not exist.  setting this flag makes it skip
#     that whole process and use the correct one.
#
# --prefix:
#     elvis' configure script throws an error if given an empty prefix.
#     setting it to /usr takes advantage of /usr being a symlink to /.
