#!/bin/sh

set -e

./configure \
    --build="$(uname -m)-lix-linux-musl" \
    --host="$(uname -m)-lix-linux-musl" \
    --disable-hwdb \
    --disable-kmod \
    --with-rootrundir=/var/run \
    --enable-static \
    --prefix=

#    --disable-programs \

## explanation
#
# --build: make sure the build string is set correctly.
#
# --host: make sure the host string is set correctly.
#
# --disable-kmod: lix os assumes a static kernel, where modules are not in use.
#
# --disable-programs: smdev handles hotplugging.  this package is just here to
#     provide a drop-in libudev replacement for packages that cannot do without.
#
# --enable-static: build the static library as well. (shared is on by default.)
#
# --prefix: respect the "no /usr/local" policy.
