#!/bin/sh

# intermediate binaries get linked dynamically without this line.
# may not be a problem now, but it could be later.  has been before.
CC="gcc $CFLAGS" \
./configure --disable-nls \
            --enable-bzip2 \
            --enable-tofu \
            --disable-scdaemon \
            --disable-ccid-driver \
            --build=$(uname -m)-lix-linux-musl \
            --host=$(uname -m)-lix-linux-musl \
            --prefix=

## explanation
#
# --disable-nls: don't bother with localisation.
#
# --enable-bzip2: enable bzip2 compression.
#
# --enable-tofu: "trust on first use."  weaker than web of trust, but easier to
#     use.  may reconsider this decision later...
#
# --disable-scdaemon: don't build smartcard support.
#
# --disable-ccid-driver: don't build the ccid smartcard driver.
#
# --build: make sure the correct build string is set.
#
# --host: make sure the correct host string is set.
#
# --prefix: respect the "no /usr/local" policy.
