#!/bin/sh

CFLAGS="$SHARED_CFLAGS -DEGL_NO_X11" \
CXXFLAGS="$SHARED_CXXFLAGS" \
LDFLAGS="$SHARED_LDFLAGS" \
./configure \
    --enable-introspection \
    --enable-explicit-deps \
    --enable-wayland-backend \
    --disable-x11-backend \
    --with-pic \
    --enable-shared \
    --enable-static \
    --build="$(uname -m)-lix-linux-musl" \
    --host="$(uname -m)-lix-linux-musl" \
    --prefix=$PREFIX

## explanation
#
# --enable-shared: build the dynamic libraries.
#
# --build: make sure the build string gets set correctly.
#
# --host: make sure the host string gets set correctly.
#
# --prefix: respect the "no /usr/local" policy.
