#!/bin/sh -e

# Point Harfbuzz to the Freetype files.
#export CFLAGS="$CFLAGS -I$1/usr/include/freetype2"
#export CXXFLAGS="$CXXFLAGS -I$1/usr/include/freetype2"
#export LDFLAGS="$LDFLAGS -L$1/usr/lib"
cat << EOF > ../build/pkgconfstatic
#!/bin/sh -e

pkgconfbin="\$(which pkgconf)"
[ "\$1" = "--version" ] && \$pkgconfbin --version || \$pkgconfbin --static \$@
EOF
chmod +x ../build/pkgconfstatic
export PKG_CONFIG="../build/pkgconfstatic"

#-Dpkg_config_path="$1/usr/lib/pkgconfig" \

PKG_CONFIG="pkgconf" \
CFLAGS="$SHARED_CFLAGS" \
CXXFLAGS="$SHARED_CXXFLAGS" \
LDFLAGS="$SHARED_LDFLAGS" \
meson \
    -Ddefault_library=both \
    -Dintrospection=enabled \
    -Dglib=enabled \
    -Dfreetype=enabled \
    -Dicu=enabled \
    -Dbenchmark=disabled \
    -Dtests=disabled \
    --prefix=/usr \
    ../build

rm ../build/pkgconfstatic
