#!/bin/sh

# cmake insists on build being a subdirectory of src, otherwise we'd just
# `cd ../build` and reap the additional organisation.
mkdir -p build
cd build

cmake -DCMAKE_BUILD_TYPE=None -DCMAKE_INSTALL_PREFIX=/ -DEXAMPLES=OFF ..

## explanation
#
# -DCMAKE_BUILD_TYPE: without this flag, cmake overwrites C{XX,PP}FLAGS
#
# -DCMAKE_INSTALL_PREFIX: respect the "no /usr/local" scheme
#
# -DEXAMPLES: don't bother building the examples.  just build the library.
