#!/bin/sh -e

export LDFLAGS="$SHARED_LDFLAGS"
export CXXFLAGS="$SHARED_CXXFLAGS"

cd ../build

# dynamic libraries
mkdir dynamic
cd dynamic

cmake ../../src \
    -DCMAKE_BUILD_TYPE=None \
    -DCMAKE_INSTALL_PREFIX=$PREFIX \
    -DCMAKE_INSTALL_LIBDIR=lib \
    -DUSE_HTTP_PARSER=system \
    -DUSE_HTTPS=OpenSSL \
    -DREGEX_BACKEND=pcre \
    -DUSE_BUNDLED_ZLIB=OFF \
    -DCMAKE_C_FLAGS="$SHARED_CFLAGS"

make

# static libraries
mkdir ../static
cd ../static

cmake ../../src \
    -DCMAKE_BUILD_TYPE=None \
    -DCMAKE_INSTALL_PREFIX=$PREFIX \
    -DCMAKE_INSTALL_LIBDIR=lib \
    -DUSE_HTTP_PARSER=system \
    -DUSE_HTTPS=OpenSSL \
    -DREGEX_BACKEND=pcre \
    -DUSE_BUNDLED_ZLIB=OFF \
    -DCMAKE_C_FLAGS="$SHARED_CFLAGS" \
    -DBUILD_SHARED_LIBS=OFF

make
