#!/bin/sh

set -e

./bootstrap.sh
./configure \
  --disable-udev \
  --enable-static \
  --build="$(uname -m)-lix-linux-musl" \
  --host="$(uname -m)-lix-linux-musl" \
  --prefix=

## explanation
#
# --disable-udev: don't bother with udev support.
#
# --enable-static:
#     env.sh removes the static flags so libusb will produce shared libraries.
#     make sure it also produces static ones.
#
# --build: make sure the build string gets set correctly.
#
# --host: make sure the host string gets set correctly.
#
# --prefix: respect the "no /usr/local" policy.
