#!/bin/sh

# building in-tree clobbers the "srcdir" value.
cd /mnt/build

#export LDFLAGS="-L$MUFS/lib" # -L$pkg/output/libdm/ioctl"
#export CFLAGS="-I$MUFS/include -L$MUFS/lib" # -L$pkg/output/libdm/ioctl"
#export CXXFLAGS="$CFLAGS"
#export CPPFLAGS="$CFLAGS"

#  --disable-dmeventd \
#  --enable-pkgconfig \
#CLDFLAGS="$LDFLAGS" \
#ELDFLAGS="$LDFLAGS" \
INSTALL="/bin/install" \
/mnt/src/configure \
  --build=$(uname -m)-lix-linux-musl \
  --enable-cmdlib \
  --enable-static_link \
  --disable-udev_rules \
  --disable-udev-systemd-background-jobs \
  --disable-nls \
  --disable-readline \
  --disable-selinux \
  --with-lvm1=none \
  --srcdir=/mnt/src \
  --prefix=

## explanation
#
# INSTALL:
#   configure attaches the obsolete -c flag to all 'install' invocations unless
#   this variable is set.  configure does this for backwards-compatibility with
#   old versions of install.  gnu install ignores this flag, but sbase install
#   doesn't recognize it and errors out.
#
# --build: configure can't identify musl platforms.
#
# --enable-cmdlib: dmeventd needs this library.  (optional otherwise.)
#
# --enable-static_link: use static linking.
#
# --disable-udev_rules: lix os doesn't use udev.
#
# --disable-udev-systemd-background-jobs: lix os doesn't use udev or systemd.
#
# --disable-nls: no need for localisation.
#
# --disable-readline: no need for readline.
#
# --with-lvm1: don't bother supporting backwards compatibility with lvm1.
#
# --srcdir: make can't find autoconf/install-sh without an absolute path here.
#
# --prefix: respect lix os' "no usr/local" policy.
