#!/bin/sh -e

# Fix issues with musl and firefox.
# https://bugs.freedesktop.org/show_bug.cgi?id=35268
# https://github.com/mesa3d/mesa/commit/9f37c9903b87f86a533bfaffa72f0ecb285b02b2
sed -i "/pre_args += '-DUSE_ELF_TLS'/d" meson.build

CFLAGS="$SHARED_CFLAGS" \
CXXFLAGS="$SHARED_CXXFLAGS" \
LDFLAGS="$SHARED_LDFLAGS" \
meson \
    --prefix="$PREFIX" \
    --sysconfdir=/etc \
    --mandir="$PREFIX/share/man" \
    --localstatedir=/var \
    --buildtype=release \
    -Dplatforms=wayland,drm,surfaceless \
    -Dllvm=true \
    -Dshared-glapi=true \
    -Dshared-llvm=true \
    -Ddri-drivers= \
    -Dgallium-drivers=radeonsi,swrast \
    -Dvulkan-drivers=amd \
    -Degl=true \
    -Dgbm=true \
    -Dgles1=false \
    -Dgles2=true \
    -Dglx=disabled \
    -Dosmesa=gallium \
    -Dgallium-nine=false \
    ../build
    #-Dgallium-xa=false \
    #-Dgallium-vdpau=false \
    #-Dgallium-va=false \
    #-Dgallium-xvmc=false \
