#!/bin/sh -e

# Fix issues with musl and firefox.
# https://bugs.freedesktop.org/show_bug.cgi?id=35268
# https://github.com/mesa3d/mesa/commit/9f37c9903b87f86a533bfaffa72f0ecb285b02b2
sed -i "/pre_args += '-DUSE_ELF_TLS'/d" meson.build

CFLAGS="$CFLAGS -DGLX_X86_READONLY_TEXT" \
meson \
    --prefix=/usr \
    --sysconfdir=/etc \
    --mandir=/usr/share/man \
    --localstatedir=/var \
    --buildtype=release \
    -Dplatforms=drm,wayland \
    -Ddri-drivers=radeonsi \
    -Dgallium-drivers=radeonsi \
    -Dvulkan-drivers=amd \
    -Degl=true \
    -Dgbm=true \
    -Dgles2=true \
    -Dglx=disabled \
    ../build
