#!/bin/sh

export CC="gcc"
export CXX="g++"
#export LDFLAGS="${LDFLAGS:---static -static}"
#export CFLAGS="${CFLAGS:--fPIE -fPIC}"
#export CPPFLAGS="${CPPFLAGS:---static -static}"
#export CXXFLAGS="${CXXFLAGS:---static -static}"
export PREFIX="/usr" # some packages need a value.  "" doesn't work for them.

if [ -e /etc/ssl/ca-bundle.crt ]; then
    export SSL_CERT_FILE=/etc/ssl/ca-bundle.crt
fi

if [ "$(which python3 2> /dev/null)" ]; then
    export PY3VER="$(python3 -V | sed -n 's/^Python \(\w\+\.\w\+\).*/\1/p')"
    export PY3PKGS="/lib/python$PY3VER/site-packages"
    export PYTHONHOME="/usr:/usr"
    export PYTHONPATH="/lib/python/$PY3VER:$PY3PKGS"
fi

if [ "$(which pkgconf 2> /dev/null)" ]; then
    export PKG_CONFIG="$(which pkgconf) "
fi

# TODO: remove the need for these lines by making musl-cross-make build a gcc
# with a header search path of /include only, with all headers contained there.
export CPATH="${CPATH:-/include}"
export C_INCLUDE_PATH="/powerpc64le-lix-linux-musl/include"
export CPLUS_INCLUDE_PATH="/include/c++/9.2.0/powerpc64le-lix-linux-musl:/include/c++/9.2.0"
