#!/bin/sh

set -e

make install # -j$(nproc) install

# some other packages want a c compiler at /bin/cc.  creating a link here
# can save a lot of configuration elsewhere.
ln -sf gcc /bin/cc

# support dynamically linked executables, even though static is preferred.
# without this libc "interpreter" library in the expected place, dynamically
# linked executables return a "file not found" error.  (this accommodation
# was prompted by the gnupg-dynamic and pcsc-lite packages and may be rolled
# back if/when those packages start working properly when linked statically.)
musldir="$(ls -d /*-musl | head -n1)"
ldfile="$(basename $(ls $musldir/lib/ld-*.so.1 | head -n1))"
ln -sf "$musldir/lib/libc.so" "/lib/$ldfile"
