#!/bin/sh

./configure \
  --without-tests \
  --without-shared \
  --without-ada \
  --without-cxx-binding \
  --enable-pc-files \
  --enable-widec \
  --prefix=

## explanation
#
# --without-tests: we don't need to compile the tests.
#
# --without-shared: don't bother compiling shared libraries.
#
# --without-ada: don't bother compiling the "ncurses with ada" demo.
#
# --without-cxx-binding: don't bother compiling the "ncurses with c++" demo.
#
# --enable-pc-files: build pkgconfig configuration files.
#
# --enable-widec: build the 'ncursesw' library.
#
# --prefix: respect the "no /usr/local" policy.
