#!/bin/sh

set -e

CFLAGS="$SHARED_CFLAGS" \
LDFLAGS="$SHARED_LDFLAGS" \
CXXFLAGS="$SHARED_CXXFLAGS" \
CPPFLAGS="$SHARED_CPPFLAGS" \
./Configure \
    -des    \
    -Dprefix="/" \
    -Dusedl \
    -Dman1dir="/share/man/man1" \
    -Dman3dir="/share/man/man3" \
    -Accflags="$SHARED_CFLAGS"   \
    -Acxxflags="$SHARED_CXXFLAGS" \
    -Acppflags="$SHARED_CPPFLAGS" \
    -Aldflags="$SHARED_LDFLAGS"

## explanation
#
# perl is a beast with a unique configuration process.
#
# -des: use default answers for everything not set by a flag here.
#
# -Uusedl: don't use dynamic linking/loading.  static linking only.
#
# -Dprefix: respect the "no /usr/local" policy.
#
# -Dman1dir -Dman3dir: install manual pages in these directories.
#
# -Accflags: set "ccflags," perl's equivalent of CFLAGS.
#
# -Acxxflags: set "cxxflags," perl's equivalent of CXXFLAGS.
#
# -Acppflags: set "cppflags," perl's equivalent of CPPFLAGS.
#
# -Aldflags: set "ldflags," perl's equivalent of LDFLAGS.
