#!/bin/sh

set -e

CFLAGS="$CFLAGS -I/include/ncurses" \
./configure \
    --enable-pinentry-curses \
    --disable-pinentry-gtk \
    --disable-pinentry-gtk2 \
    --disable-pinentry-gnome3 \
    --disable-pinentry-qt \
    --build="$(uname -m)-lix-linux-musl" \
    --host="$(uname -m)-lix-linux-musl" \
    --prefix=

## explanation
#
# --enable-pinentry-curses: use the ncurses interface for pinentry.
#
# --disable-pinentry-gtk: don't build the gtk interface.
#
# --disable-pinentry-gtk2: don't build the gtk2 interface.
#
# --disable-pinentry-gnome3: don't build the gnome3 interface.
#
# --disable-pinentry-qt: don't build the qt interface.
#
# --build: make sure the correct build string is set.
#
# --host: make sure the correct host string is set.
#
# --prefix: respect the "no /usr/local" policy.
