#!/bin/sh

CFLAGS="$SHARED_CFLAGS" \
CXXFLAGS="$SHARED_CXXFLAGS" \
LDFLAGS="$SHARED_LDFLAGS" \
./autogen.sh \
    --with-lzma \
    --with-zlib \
    --with-python=/bin/python3 \
    --disable-static \
    --enable-shared \
    --build="$(uname -m)-lix-linux-musl" \
    --host="$(uname -m)-lix-linux-musl" \
    --prefix=

## explanation
#
# --enable-shared: build the shared libraries.
#
# --disable-static: don't build the static libraries.
#
# --build: make sure the build string gets set correctly.
#
# --host: make sure the host string gets set correctly.
#
# --prefix: respect the "no /usr/local" policy.
