#!/bin/sh

#autoreconf -fi

#LD_LIBRARY_PATH="/lib" \
#CONFIG_LDFLAGS="-L/lib -lffi -lbz2 -lexpat" \
#LDFLAGS="$LDFLAGS -L/lib -lffi -lbz2 -lexpat" \
#CPPFLAGS="$CPPFLAGS -I/include" \
#OPT="$CFLAGS -DTHREAD_STACK_SIZE=0x100000" \
CFLAGS="$CFLAGS -lffi -I/include -I/include/ncurses -fno-semantic-interposition" \
./configure \
    --enable-ipv6 \
    --enable-loadable-sqlite-extensions \
    --enable-optimizations \
    --with-computed-gotos \
    --with-system-ffi \
    --with-system-expat \
    --without-ensurepip \
    --disable-shared \
    --enable-static \
    --build="$(uname -m)-lix-linux-musl" \
    --host="$(uname -m)-lix-linux-musl" \
    --prefix=/usr

## explanation
#
# --disable-shared: don't build anything with dynamic linking.
#
# --enable-static: use static linking instead.
#
# --build: make sure the build string gets set correctly.
#
# --host: make sure the host string gets set correctly.
#
# --prefix: python3 breaks in weird ways if this is left empty.
