#!/bin/sh

./configure \
    --disable-gcc-hardening \
    --enable-static-tor \
    --enable-lzma \
    --with-libevent-dir=/lib \
    --with-openssl-dir=/lib \
    --with-zlib-dir=/lib \
    --disable-systemd \
    --prefix=
 
## explanation
#
# --enable-lzma: enable lzma2 compression via xz.
#
# --enable-static-tor: build static binaries, as is lix os' custom.
#
# --with-libevent-dir: tell configure where to find the static libevent library.
#
# --with-openssl-dir: tell configure where to find the static libressl library.
#
# --with-zlib-dir: tell configure where to find the static zlib library.
#
# --disable-systemd: lix os does not use systemd.
#
# --disable-gcc-hardening:
#     this is not ideal, but presently ld complains about dynamic relocations in
#     read-only segments without this.  try removing once -static-pie is fixed.
#     (thanks to https://github.com/cretz/tor-static for illuminating that one.)
#
# --prefix: respect lix os' directory structure.
