#!/bin/sh

LDFLAGS="$SHARED_LDFLAGS" \
CFLAGS="$SHARED_CFLAGS" \
CXXFLAGS="$SHARED_CXXFLAGS" \
FFI_CFLAGS="-I/include" \
FFI_LIBS="-lffi" \
EXPAT_CFLAGS="-I/include" \
EXPAT_LIBS="/lib/libexpat.a" \
./configure \
    --disable-documentation \
    --disable-dtd-validation \
    --enable-shared \
    --enable-static \
    --with-pic \
    --build="$(uname -m)-lix-linux-musl" \
    --host="$(uname -m)-lix-linux-musl" \
    --prefix=

## explanation
#
# --disable-shared: don't build anything with dynamic linking.
#
# --enable-static: use static linking instead.
#
# --build: make sure the build string gets set correctly.
#
# --host: make sure the host string gets set correctly.
#
# --prefix: respect the "no /usr/local" policy.
