#!/bin/sh -e

case "$ARCH" in
    # disable _FORTIFY_SOURCE to work around:
    # cc1plus: out of memory allocating 65536 bytes after a total of 3131101184 bytes
    x86) CXXFLAGS="$CXXFLAGS -U_FORTIFY_SOURCE";;
    armhf|ppc64le|s390x) _archopt="-DENABLE_JIT=OFF";;
esac

# reduce memory usage on 32 bit
# https://bugs.webkit.org/show_bug.cgi?id=199272
export CXXFLAGS="$CXXFLAGS -g1"

cd ../build

# ld gold usage is disabled since cmake can't find pthreads with it enabled.
cmake -GNinja \
    -DPORT=GTK \
    -DCMAKE_BUILD_TYPE=MinSizeRel \
    -DCMAKE_SKIP_RPATH=ON \
    -DCMAKE_INSTALL_PREFIX="$PREFIX" \
    -DLIB_INSTALL_DIR=/lib \
    -DENABLE_BUBBLEWRAP_SANDBOX=ON \
    -DENABLE_EGL=ON \
    -DENABLE_GLES2=ON \
    -DENABLE_GLES2_DEFAULT=ON \
    -DUSE_OPENGL_ES=ON \
    -DUSE_OPENGL=OFF \
    -DENABLE_INTROSPECTION=OFF \
    -DENABLE_GTKDOC=OFF \
    -DENABLE_GEOLOCATION=OFF \
    -DENABLE_SPELLCHECK=OFF \
    -DENABLE_SAMPLING_PROFILER=OFF \
    -DENABLE_MINIBROWSER=ON \
    -DENABLE_WAYLAND_TARGET=ON \
    -DENABLE_X11_TARGET=OFF \
    -DUSE_LIBEPOXY=ON \
    -DUSE_LIBNOTIFY=OFF \
    -DUSE_LIBHYPHEN=OFF \
    -DUSE_WPE_RENDERER=ON \
    -DUSE_WOFF2=OFF \
    -DCMAKE_CXX_FLAGS="$CXXFLAGS" \
    -DUSE_LD_GOLD=OFF \
    -DUSE_SYSTEMD=OFF \
    $_archopt \
    ../src
    #-DENABLE_GLES2=ON \
    #-DENABLE_GLES2_DEFAULT=ON \
    #-DENABLE_ACCELERATED_2D_CANVAS=ON \
